<template>
  <div class="home">
    <b-row>
      <b-col class="col-left hidden-xs">
        <latest-article></latest-article>
      </b-col>
      <b-col cols="12" md="9">
        <section style="border-bottom:">
          <b-row>
            <b-col class="middle" cols="12" md="8">
              <h2 class="title">Breaking News</h2>
              <div v-for="(item, i) in articleMainArr" :key="i">
                <div class="first-post" v-if="i==0">
                  <router-link :to="{name: 'article.show', query: {item: item}}"><img :src="item.multimedia[3] ? item.multimedia[3].url : ''" alt="" width="100%"></router-link>
                  <ul class="entry-meta">
                    <li><span>{{item.published_date | convertUnixToDate('MMMM DD, YYYY')}}</span></li>
                    <li><span>{{item.section}}</span></li>
                    <li><span>{{item.byline}}</span></li>
                  </ul>
                  <div class="clearfix"></div>
                  <h4 class="mt-1"><router-link :to="{name: 'article.show', query: {item: item}}">{{item.title}}</router-link></h4>
                  <p>{{item.abstract}}</p>
                  <p class="read-more"><router-link :to="{name: 'article.show', query: {item: item}}">Read More</router-link></p>
                </div>
                <div v-else>
                  <div class="article-default">
                    <ul class="entry-meta">
                      <li><span>{{item.published_date | convertUnixToDate('MMMM DD, YYYY')}}</span></li>
                      <li><span>{{item.section}}</span></li>
                      <li><span>{{item.byline}}</span></li>
                    </ul>
                    <div class="clearfix"></div>
                    <h4 class="mt-1"><router-link :to="{name: 'article.show', query: {item: item}}">{{item.title}}</router-link></h4>
                    <p>{{item.abstract}}</p>
                    <p class="read-more"><router-link :to="{name: 'article.show', query: {item: item}}">Read More</router-link></p>
                  </div>
                </div>
              </div>
            </b-col>
            <b-col class="col-right">
              <h2 class="title">Daily Feed</h2>
              <div>
                <div class="article-default" v-for="(item, i) in articleNewFeed" :key="i">
                  <ul class="entry-meta">
                    <li><span>{{item.section}}</span></li>
                    <li><span>{{item.byline}}</span></li>
                  </ul>
                  <div class="clearfix"></div>
                  <router-link :to="{name: 'article.show', query: {item: item}}"><h4 class="mt-1">{{item.title}}</h4></router-link>
                  <p>{{item.abstract}}</p>
                  <router-link :to="{name: 'article.show', query: {item: item}}"><p class="read-more"><a>Read More</a></p></router-link>
                </div>
              </div>
            </b-col>
          </b-row>
        </section>
        <div class="divier ml-5 mb-5"></div>
        <section>
          <b-row class="pl-5">
            <b-col>
              <h3 class="title">Featured Stories</h3>
              <b-row>
                <b-col cols="12" md="4" v-for="(item, i) in articleFeatureStories" :key="i">
                  <router-link :to="{name: 'article.show', query: {item: item}}"><img :src="item.multimedia[3] ? item.multimedia[3].url : ''" alt="" width="100%"></router-link>
                  <ul class="entry-meta">
                    <li><span>{{item.published_date | convertUnixToDate('MMMM DD, YYYY')}}</span></li>
                    <li><span>{{item.section}}</span></li>
                  </ul>
                  <div class="clearfix"></div>
                  <h5><router-link :to="{name: 'article.show', query: {item: item}}">{{item.title}}</router-link></h5>
                  <p>{{item.abstract}}</p>
                </b-col>
              </b-row>
            </b-col>
          </b-row>
        </section>
      </b-col>
    </b-row>
  </div>
</template>

<script>
import { ArticleList } from '@/models/article-model'

export default {
  data () {
    return {
      articleList: null,
      articleArr: [],
      articleMainArr: [],
      articleNewFeed: [],
      articleFeatureStories: []
    }
  },
  created () {
    this.init()
  },
  methods: {
    init () {
      this.articleList = new ArticleList()
      this.articleList.fetch().then(res => {
        this.articleArr = res

        this.articleMainFunc()
        this.articleNewFeedFunc()
        this.articleFeatureStoriesFunc()
      }).catch(err => console.log(err))
    },
    articleMainFunc () {
      this.articleMainArr = this.articleArr.slice(11, 14)
    },
    articleNewFeedFunc () {
      this.articleNewFeed = this.articleArr.slice(15, 18)
    },
    articleFeatureStoriesFunc () {
      this.articleFeatureStories = this.articleArr.slice(19, 25)
    }
  }
}
</script>

<style lang="scss" scoped>
.home {
  .col-left, .middle, .col-right {
    padding-top: 60px;
    padding-bottom: 60px;
  }
  .col-left {
    border-right: 1px solid #d4d4d4;
    line-height: 38px;
    h6 {
      line-height: 50px;
    }
  }
  .title {
    box-shadow: inset 0px -1px 0px 0px #d4d4d4, inset 0px -2px 0px 0px #ffffff, inset 0px -4px 0px 0px #d4d4d4;
    padding-bottom: 15px;
    margin-bottom: 35px;
  }

  .middle {
    padding-left: 60px;
  }
  .entry-meta {
    list-style-type: none;
    margin: 15px 0px;
    padding: 0px;
    li {
      float: left;
      span {
        font-size: 11px;
        padding: 0px 10px;
        border-right: 1px solid #ccc;
        font-family: Arial, Helvetica, 'Nimbus Sans L', sans-serif;
        text-transform: uppercase;
      }
      &:first-child {
        span {
          padding-left: 0px;
        }
      }
      &:last-child {
        span {
          border: 0px;
        }
      }
    }
  }
  .read-more {
    margin-top: 14px 0px 0px;
    font-weight: bold;
    font-size: 11px;
    text-transform: uppercase;
    margin-bottom: 0px;
  }
  .article-default {
    margin: 30px 0 0;
    padding: 30px 0 0;
    position: relative;
    overflow: hidden;
    border-top-width: 1px;
    border-top-style: solid;
    border-color: rgba(212, 212, 212, 0.5);
  }
  .col-right div {
    .article-default {
      &:first-child {
        border: 0px;
        padding-top: 0px;
        .entry-meta {
          margin-top: 0px;
        }
      }
    }
  }
  .divier {
    border-bottom-width: 7px;
    border-bottom-style: solid;
    margin-top: 0px;
    margin-bottom: 0px;
    border-bottom-color: #282828;
  }
}

</style>
